<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: DMXManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classDMXManager.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">DMXManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The <a class="el" href="classDMXManager.html" title="The DMXManager class receives sacn-frames, processes them and offers a simple API to retreive the dat...">DMXManager</a> class receives sacn-frames, processes them and offers a simple API to retreive the data.  
 <a href="classDMXManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="dmx__framework_8hpp_source.html">dmx_framework.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for DMXManager:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classDMXManager__inherit__graph.svg" width="226" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for DMXManager:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classDMXManager__coll__graph.svg" width="226" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8de924e678a6fe1b13ecac913fc443a4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMXManager.html#a8de924e678a6fe1b13ecac913fc443a4">DMXManager</a> (uint16_t universe_id, uint16_t start_address, uint16_t footprint_size)</td></tr>
<tr class="memdesc:a8de924e678a6fe1b13ecac913fc443a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The DMX Manager class receives incoming sacn-packets and provides an abstraction-layer for the application.  <a href="classDMXManager.html#a8de924e678a6fe1b13ecac913fc443a4">More...</a><br /></td></tr>
<tr class="separator:a8de924e678a6fe1b13ecac913fc443a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c6a3042a47d5f44de39c448b53eca90"><td class="memItemLeft" align="right" valign="top"><a id="a8c6a3042a47d5f44de39c448b53eca90"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMXManager.html#a8c6a3042a47d5f44de39c448b53eca90">~DMXManager</a> ()</td></tr>
<tr class="memdesc:a8c6a3042a47d5f44de39c448b53eca90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a8c6a3042a47d5f44de39c448b53eca90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30a723aa407e8faa2e446667789ba6e6"><td class="memItemLeft" align="right" valign="top"><a id="a30a723aa407e8faa2e446667789ba6e6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMXManager.html#a30a723aa407e8faa2e446667789ba6e6">start</a> ()</td></tr>
<tr class="memdesc:a30a723aa407e8faa2e446667789ba6e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">starts the receiver <br /></td></tr>
<tr class="separator:a30a723aa407e8faa2e446667789ba6e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab45fc64c9b609a36319c1a2831ef1b24"><td class="memItemLeft" align="right" valign="top"><a id="ab45fc64c9b609a36319c1a2831ef1b24"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMXManager.html#ab45fc64c9b609a36319c1a2831ef1b24">stop</a> ()</td></tr>
<tr class="memdesc:ab45fc64c9b609a36319c1a2831ef1b24"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stops the receiver. <br /></td></tr>
<tr class="separator:ab45fc64c9b609a36319c1a2831ef1b24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae148618723b2c9d8414206db154118fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMXManager.html#ae148618723b2c9d8414206db154118fc">set_dmx_callback</a> (std::function&lt; void(<a class="el" href="structDMXPackage.html">DMXPackage</a>)&gt; f)</td></tr>
<tr class="memdesc:ae148618723b2c9d8414206db154118fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the callback-function for incoming sacn-packets.  <a href="classDMXManager.html#ae148618723b2c9d8414206db154118fc">More...</a><br /></td></tr>
<tr class="separator:ae148618723b2c9d8414206db154118fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The <a class="el" href="classDMXManager.html" title="The DMXManager class receives sacn-frames, processes them and offers a simple API to retreive the dat...">DMXManager</a> class receives sacn-frames, processes them and offers a simple API to retreive the data. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8de924e678a6fe1b13ecac913fc443a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8de924e678a6fe1b13ecac913fc443a4">&#9670;&nbsp;</a></span>DMXManager()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DMXManager::DMXManager </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>universe_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>start_address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>footprint_size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The DMX Manager class receives incoming sacn-packets and provides an abstraction-layer for the application. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">universe_id</td><td>the dmx-universe which the library should listen to </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">start_address</td><td>the first address which the library should listen too </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">footprint_size</td><td>the number of channels which the library should listen to </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae148618723b2c9d8414206db154118fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae148618723b2c9d8414206db154118fc">&#9670;&nbsp;</a></span>set_dmx_callback()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DMXManager::set_dmx_callback </td>
          <td>(</td>
          <td class="paramtype">std::function&lt; void(<a class="el" href="structDMXPackage.html">DMXPackage</a>)&gt;&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the callback-function for incoming sacn-packets. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">f</td><td>This function will be called on incoming packets </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="dmx__framework_8hpp_source.html">dmx_framework.hpp</a></li>
<li><a class="el" href="dmx__framework_8cpp.html">dmx_framework.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classDMXManager.html">DMXManager</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
